mod users_handlers;
mod other_handlers;
mod pages_handlers;
mod admin_handlers;
mod users;

pub(crate) use users_handlers::users_router_handlers;
pub(crate) use admin_handlers::admin_router_handlers;
pub(crate) use pages_handlers::pages_router_handlers;
pub(crate) use users::{
   login_user,
   users_login_router_handlers,
   users_password_router_handlers,
   users_settings_router_handlers,
   users_invite_router_handlers,
};

pub(crate) use other_handlers::{
    rewrite_request_uri,
    add_session_cookie,
    get_auth_state,
    handle_404,
};